## DEBMAKER

The main goal of this project is allow to create application from source without install compilation utility directly on the main system.
Compilation environnements are stores in temporary files.
All package are install with chroot environnement.

Currently debian packages are build, but other package can be build with this ways

Objectives :
 - Create lowest debian lxc contener to limit backup size
 - Easily upgrade application

### Usage

#### List app
To list all applications with debmaker script

```bash
./debmaker list
```

#### Create deb file
To create deb file you just need to run the bellow command :

```bash
./debmaker run <app>
```
after execution, .deb file is generate in 'dist' folder

#### Edit debmaker script

```bash
./debmaker edit <app>
```

#### Debug

To enter in temporary filesystem

```bash
./debmaker chroot <app>
```

### packages available in shared repository

  - [adguardhome](./ressources/adguardhome)
  - [authelia](./ressources/authelia)
  - [bitwarden-desktop](./ressources/bitwarden-desktop)
  - [cloudbeaver](./ressources/cloudbeaver)
  - [element-web](./ressources/element-web) 
  - [flame](./ressources/flame)
  - [gitea](./ressources/gitea)
  - [glpi](./ressources/glpi)
  - [gotify](./ressources/gotify)
  - [grocy](./ressources/grocy)
  - [joplin desktop](./ressources/joplin)
  - [joplin-server](./ressources/joplin-server)
  - [mautrix-syncproxy and mautrix-wsproxy](./ressources/mautrix-syncproxy)
  - [mautrix-whatsapp](./ressources/mautrix-whatsapp) 
  - [metabase](./ressources/metabase)
  - [phpbb](./ressources/phpbb)
  - [roundcubemail](./ressources/roundcubemail)
  - [rss-bridge](./ressources/rss-bridge)
  - [rustdesk-server](./ressources/rustdesk-server)
  - [tt-rss](./ressources/tt-rss)
  - [vaultwarden and vaultwarden-web](./ressources/vaultwarden)
  - [wallabag](./ressources/wallabag)
  - [zigbee2mqtt](./ressources/zigbee2mqtt)
